summaryrefslogtreecommitdiff
path: root/buildbot/make_auditor_reports.sh
diff options
context:
space:
mode:
Diffstat (limited to 'buildbot/make_auditor_reports.sh')
-rwxr-xr-xbuildbot/make_auditor_reports.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/buildbot/make_auditor_reports.sh b/buildbot/make_auditor_reports.sh
index 56ee802..1ab964f 100755
--- a/buildbot/make_auditor_reports.sh
+++ b/buildbot/make_auditor_reports.sh
@@ -13,9 +13,6 @@ echo "Running taler-deployment build"
source ${HOME}/activate
taler-deployment build
-echo "Running taler-deployment-prepare"
-taler-deployment-prepare
-
DATE=$(date +%Y-%m-%d)
REPORT_FILE_NOEXT=${HOME}/audit_report.${DATE}
WIRE_REPORT_FILE_NOEXT=${HOME}/wire_audit_report.${DATE}
@@ -40,22 +37,25 @@ if test -a ${REPORTS_DIRECTORY}/$(basename "${REPORT_FILE_NOEXT}.pdf"); then
exit 0
fi
+
+CONFIG_FILE=${TALER_HOME}/.config/taler.conf
+
echo "Adding exchange to auditor's list"
taler-auditor-exchange \
- -c ${HOME}/.config/taler.conf \
- -m $(taler-config -s exchange -o master_public_key) \
- -u $(taler-config -s exchange -o base_url) || true
+ -c ${CONFIG_FILE} \
+ -m $(taler-config -c ${CONFIG_FILE} -s exchange -o master_public_key) \
+ -u $(taler-config -c ${CONFIG_FILE} -s exchange -o base_url) || true
# Generate first report.
echo "Running taler-auditor"
-if ! taler-auditor > "${REPORT_FILE_NOEXT}.txt"; then
+if ! taler-auditor -c ${CONFIG_FILE} > "${REPORT_FILE_NOEXT}.txt"; then
clean_files
exit 1
fi
# Generate "wire" report.
echo "Running taler-wire-auditor"
-if ! taler-wire-auditor > "${WIRE_REPORT_FILE_NOEXT}.txt"; then
+if ! taler-wire-auditor -c ${CONFIG_FILE} > "${WIRE_REPORT_FILE_NOEXT}.txt"; then
clean_files
exit 1
fi